org.eclipse.eef.ide.ui.internal

## Class EEFImageUtils

- java.lang.Object
- - org.eclipse.eef.ide.ui.internal.EEFImageUtils

    public final class EEFImageUtils
    extends java.lang.Object

Utility class to manage images.

### Method Summary

All Methods Static Methods Concrete Methods
`static java.util.Optional<org.eclipse.swt.graphics.Image>` `getImage(java.lang.String imgPath)` Retrieve an image from a string path as '/resource/folder/image.png'.
`static java.util.Optional<org.eclipse.jface.resource.ImageDescriptor>` `getImageDescriptor(java.lang.String imgPath)` Retrieve an image descriptor from a string path as '/resource/folder/image.png'.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getImage

    public static java.util.Optional<org.eclipse.swt.graphics.Image> getImage(java.lang.String imgPath)

Retrieve an image from a string path as '/resource/folder/image.png'.

Parameters:
  `imgPath` - The image path
Returns:
  The image

#### getImageDescriptor

    public static java.util.Optional<org.eclipse.jface.resource.ImageDescriptor> getImageDescriptor(java.lang.String imgPath)

Retrieve an image descriptor from a string path as '/resource/folder/image.png'.

Parameters:
  `imgPath` - The image path
Returns:
  The image descriptor